type GenerativeAIInputProps = {
    aiPromptText: string;
    didSucceed: boolean;
    errorMessage?: string;
    errorCode?: string;
    isFetching?: boolean;
    placeholder?: string;
    show: boolean;
    isAggregationGeneratedFromQuery?: boolean;
    onResetIsAggregationGeneratedFromQuery?: () => void;
    onCancelRequest: () => void;
    onChangeAIPromptText: (text: string) => void;
    onClose: () => void;
    onSubmitText: (text: string) => void;
    onSubmitFeedback?: (feedback: 'positive' | 'negative', feedbackText: string) => void;
};
declare function GenerativeAIInput({ aiPromptText, didSucceed, errorMessage, errorCode, isFetching, placeholder, show, onCancelRequest, onClose, onChangeAIPromptText, onSubmitFeedback, onSubmitText, isAggregationGeneratedFromQuery, onResetIsAggregationGeneratedFromQuery, }: GenerativeAIInputProps): JSX.Element | null;
export { GenerativeAIInput };
//# sourceMappingURL=generative-ai-input.d.ts.map